#ifndef __EXO03FUNC_H__
#define __EXO03FUNC_H__

#include "MyReduction.h"

void InitData(int argc, char** argv,
              char *&typeChoice, ReduceType &datatype,
              int &size, int &maxThreads,
	      int &maxBlocks, int &cpuFinalThreshold
	     );

void InitDevice(int argc, char** argv, ReduceType datatype);

#endif
